/**
 * Reading a light sensor and set an LED intensity accordingly
 * by BARRAGAN <http://barraganstudio.com>
 * 
 * Reads values from a photoresistor connected to the 
 * analog input pin 0. The value read from the sensor is proportional
 * to the ambient light.
 * The value is used to set the intensity of an LED
 * more ambient light less LED intensity.
 */

int val; 

void setup()
{
  // nothing for setup
}

void loop() 
{
  val = analogRead(0);  // read analog input pin 0 (value in the range 0-1023)

  // The luminosity of the LED will be proportional to te amount of light in the environment.

  // analogWrite(0, val);  // write the value to PWM output pin 0 (value in the range 0-1023)

  // if you want the luminosity of the LED to be inversely proportional to the amount of
  // of light in the environment comment the previous line and use the line below instead:

  analogWrite(0, 1023-val);

  delay(100);           // wait 100ms for next reading
}
